<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class RegistroK990 extends Registro0000 {

    private $_qtdlinhas; //Quantidade total de linhas do Bloco K. A quantidade total de linhas no bloco K deverá levar em consideração todos os registros entre o K001 e o K990, inclusive.

    public function geraRegistroK990(){
        $this->_geraRegistro(self::REGISTRO_K990);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_qtdlinhas, true);
    }
    
    public function setQtdLinhas($qtdlinhas){
        $this->_qtdlinhas = $qtdlinhas;
    }
}