<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\DateUtil;
use HCM\Util\Repositories;
use HCM\SST\Repository\MonitoracaoBiologicaRepository;

class MonitoracaoBiologicaService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, MonitoracaoBiologicaRepository $monitoracaoBiologicaRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->monitoracaoBiologicaRepository = $monitoracaoBiologicaRepository;
    }

    public function existeMesmoPeriodoMonitoracaoBiologica($row)
    {   
        $existeMonitoracaoBiologica = $this->monitoracaoBiologicaRepository->existeMesmoPeriodoRegistroAmbiental($row);
        return  $existeMonitoracaoBiologica;
    }
    
}