<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\DateUtil;
use HCM\Util\Repositories;
use HCM\SST\Repository\RegistroAmbientalRepository;

class RegistroAmbientalService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, RegistroAmbientalRepository $registroAmbientalRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->registroAmbientalRepository = $registroAmbientalRepository;
    }

    public function existeMesmoPeriodoRegistroAmbiental($row)
    {   
        $existeRegistroAmbiental = $this->registroAmbientalRepository->existeMesmoPeriodoRegistroAmbiental($row);
        return  $existeRegistroAmbiental;
    }
    
}