/**---------------------------------------------------------------------------------------------------------------------------------------------------------------**/
--DROP TABLE Tb_Aux_Ficha;
--SELECT * FROM Tb_Aux_Ficha;
/**---------------------------------------------------------------------------------------------------------------------------------------------------------------**/


CREATE TABLE TB_AUX_FICHA AS
SELECT
	'01' AS "CodEmp",                   -- Empresa/Tabela
	SRD.RD_FILIAL,						-- Filial
	SRD.RD_MAT,							-- Matrícula
	SRD.RD_TIPO2,                       -- Cod Folha
	--CASE 
		--WHEN SRD.RD_ROTEIR = 'AUT' THEN TO_CHAR(SRD.RD_SEMANA)
		--ELSE SRD.RD_ROTEIR END
    SRD.RD_ROTEIR AS RD_ROTEIR,					-- Codigo Roteiro de Cálculo
	SRY.RY_DESC,						-- Descrição Roteiro de Cálculo
	SRD.RD_PD,                          -- Cod Evento
	SRV.RV_DESC,                        -- Descricao do evento
	SRV.RV_TIPO,                        -- Tipo da Evento (H=Horas;V=Valor;D=Dias)
	SRD.RD_HORAS,						-- Qtd Horas
	SRV.RV_TIPOCOD,						-- Tipo da Evento (1=Provento;2=Desconto;3=Base (Provento);4=Base (Desconto))
	SRD.RD_DATARQ,						-- Ano/Mes Geracao do Valor
	SRD.RD_DTREF,						-- Ano/Mes Referencia
	SRD.RD_VALOR,						-- Valor Acumulado
	SRD.RD_VALINFO,						-- Valor Informado
	SRD.RD_VALORBA						-- Valor Base
FROM 
	 SIGAP12.SRD010 SRD
	INNER JOIN SIGAP12.SRV010 SRV ON  SRD.RD_PD = SRV.RV_COD AND SUBSTR(trim(SRD.RD_FILIAL),1,4)= trim(SRV.RV_FILIAL)  AND SRV.D_E_L_E_T_ <> '*'
	LEFT JOIN SIGAP12.SRY060 SRY ON SRD.RD_ROTEIR = SRY.RY_CALCULO AND SRY.D_E_L_E_T_ <> '*'
WHERE
   SRD.D_E_L_E_T_ <> '*'

	
	UNION ALL

SELECT
	'06' AS "CodEmp",                   -- Empresa/Tabela
	SRD.RD_FILIAL,						-- Filial
	SRD.RD_MAT,							-- Matrícula
	SRD.RD_TIPO2,                       -- Cod Folha
	--CASE 
		--WHEN SRD.RD_ROTEIR = 'AUT' THEN TO_CHAR(SRD.RD_SEMANA)
		--ELSE SRD.RD_ROTEIR END
    SRD.RD_ROTEIR AS RD_ROTEIR,					-- Codigo Roteiro de Cálculo
	SRY.RY_DESC,						-- Descrição Roteiro de Cálculo
	SRD.RD_PD,                          -- Cod Evento
	SRV.RV_DESC,                        -- Descricao do evento
	SRV.RV_TIPO,                        -- Tipo da Evento (H=Horas;V=Valor;D=Dias)
	SRD.RD_HORAS,						-- Qtd Horas
	SRV.RV_TIPOCOD,						-- Tipo da Evento (1=Provento;2=Desconto;3=Base (Provento);4=Base (Desconto))
	SRD.RD_DATARQ,						--Ano/Mes Geracao do Valor
	SRD.RD_DTREF,						-- Ano/Mes Referencia
	SRD.RD_VALOR,						-- Valor Acumulado
	SRD.RD_VALINFO,						-- Valor Informado
	SRD.RD_VALORBA						-- Valor Base
FROM 
	SIGAP12.SRD060 SRD
	INNER JOIN  SIGAP12.SRV060 SRV ON  SRD.RD_PD = SRV.RV_COD AND SUBSTR(trim(SRD.RD_FILIAL),1,4)= trim(SRV.RV_FILIAL)  AND SRV.D_E_L_E_T_ <> '*'
	LEFT JOIN SIGAP12.SRY060 SRY ON SRD .RD_ROTEIR = SRY.RY_CALCULO AND SRY.D_E_L_E_T_ <> '*'
WHERE
 SRD.D_E_L_E_T_ <> '*'
 

