/*-------------------------------------------------------------------------------------+
| Atualiza sindicato inicial do colaborador
+-------------------------------------------------------------------------------------*/
select 
   '010.3' as leiaute,
   ''      as PessoaID,
   his.numemp AS "Empresa",
   dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS "1 Matrcula (Colaborador)",         
   148,
   dbo.fnc_depara( his.codsin, 'SINDICATO', 'HMC-IMC-SJRP') as "Codigo Sindicato Destino"
   --his.codsin as "Codigo Sindicato Destino"
from 
   r038hsi his
   INNER JOIN R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
  	  FUN.numemp=MIG.NUMEMP AND 
	  FUN.TIPCOL=MIG.TIPCOL AND 
	  FUN.numCAD=MIG.NUMCAD
where 
   his.datalt = fun.datadm 
   and FUN.TIPCOL = 1


/*-------------------------------------------------------------------------------------+
| Gera Movimentaes
+-------------------------------------------------------------------------------------*/

USE ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE
select 
   'Ento' as "Ento",
   row_number() over (order by his.numemp, SISTEMA_SENIOR.dbo.fnc_depara(HIS.NUMCAD, 'MATRICULA', 'ISL')) as ID,
   'NO' as Ignorar,
   convert(varchar, his.datalt, 103) as "Data Movimentao",

   CASE WHEN fun.numemp = 1 THEN 304
		 WHEN fun.numemp = 2 THEN 303
		 ELSE '' 
	END AS '2CdiEmpresa', 		
			
   dbo.fnc_depara( CAST(fun.numemp AS VARCHAR)+'_'+CAST(fun.tipcol AS VARCHAR) + '_'+CAST(fun.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS "1 Matrcula (Colaborador)",         

   95 as "Codigo do Motivo da Movimentao",
   'Alterao de Sindicatos' as "Descricao",
   dbo.fnc_depara( his.codsin, 'SINDICATO', 'HMC-IMC-SJRP')  as "Codigo Sindicato Destino"
from 
   r038hsi his
   INNER JOIN R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
   	  FUN.numemp=MIG.NUMEMP AND 
	  FUN.TIPCOL=MIG.TIPCOL AND 
	  FUN.numCAD=MIG.NUMCAD
where 
   his.datalt > fun.datadm
   /*and FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2016')) --Demitido*/
   --AND SISTEMA_SENIOR.dbo.fnc_depara( his.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
   --AND SISTEMA_SENIOR.dbo.fnc_depara( rcm.NUMCAD, 'MATRICULA', 'ISL') > 6183
   --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_09_12_2021.r038hsi x where x.numemp = his.numemp and x.numcad= his.numcad and x.datalt = his.datalt)
   ORDER BY 6