USE ORIGEM_GHC_SENIOR_SJRP_02_09_2022
SELECT DISTINCT
	dbo.fnc_depara(fer.NUMCAD, 'MATRICULA', 'ISL') AS "1 Matrcula (Colaborador)",
	FER.numemp as '2COD_EMP',
	REPLACE(CONVERT(DATE,FER.iniFER,103),'-','/') AS "3 Data da ocorrncia",
	'' AS "4 Data (Publicao)",
	'' AS "5 Situao (Publicao)",
	REPLACE(CONVERT(DATE,FER.iniPER,103),'-','/') AS '6PERIODO_AQUISITIVO',
	isnull(CONVERT(INT,PER.diaafa), datediff(day, fer.inifer, fer.fimfer ) ) AS "7 Dias de gozo",
	REPLACE(CONVERT(DATE,(CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.inifer + FER.diafer) - 1	ELSE REPLACE(CONVERT(DATE,FER.fimfer-1,103),'-','/') END)),'-','/')  AS "8 Data fim",
    '' AS "9 Dias a desconsiderar",
	case when (select count(*) from   R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.iniper = fer.iniper) = 1 then 'N'  else 'S' end as '10 Parcelamento',
    case when isnull(CONVERT(INT,PER.diaafa), datediff(day, fer.inifer, fer.fimfer ) +1) + CONVERT(INT,fer.diaabo) < 30 then 
	   case when isnull(CONVERT(INT,PER.diaafa), datediff(day, fer.inifer, fer.fimfer ) +1) + CONVERT(int,fer.diaabo) = 20 and (select count(*) from R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.iniper = fer.iniper) = 1 then 0  
	   else (select count(*) from R040FEM parc where parc.numemp = fer.numemp and parc.numcad = fer.numcad and parc.tipcol = fer.tipcol and parc.inifer <= fer.inifer and parc.iniper = fer.iniper) 
	   end
   else 0 end as "11 parcela",
   '' AS "12 Faltas injustificadas",
   REPLACE(CONVERT(DATE,(CASE WHEN YEAR(fer.FIMFER) = 1900 THEN (FER.inifer + FER.diafer)   	ELSE REPLACE(CONVERT(DATE,FER.fimfer,103),'-','/') END)),'-','/')  AS "13 Data Retorno",
   'S' AS "14 Permitir data de retorno nos fin...[02]",
   'S' AS "15 Permitir data de retorno em feriados",
   REPLACE(CONVERT(DATE,(FER.datpag),103),'-','/') AS "16 Data de pagamento",
   '39' AS "17 Cdigo (Nova situao)",
   '' AS "18 Observaes",
   '20' AS "19 Cdigo (Folha de Pagamento)",
   '' AS "20 Valores calculados",
   '0' "21 Tipo de frias"
FROM
   r040fem FER   -- Histrico de Frias
   INNER JOIN r034fun FUN ON 
      FUN.numemp = FER.numemp AND 
	  FUN.numcad = FER.numcad
   LEFT JOIN r040feg PER  ON 
      FER.numemp = PER.numemp AND 
	  FER.numcad = PER.numcad AND 
	  FER.tipcol = PER.tipcol AND 
	  PER.INIPER = FER.INIPER AND 
	  PER.inifer = FER.INIFER
where 
   FUN.cateso = 901 and
   fun.tipcol = 1 and
  (fun.sitafa <> 7 or (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
  --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_21_08_2021.r040fem x where x.numemp =fer.numemp and x.numcad= fer.numcad and x.inifer = FER.inifer)
  AND fer.numcad IN (190,1127,2375,2412,2775,2939,3433,3489,3758,3786)
order by
   1,3