USE ORIGEM_GHC_SENIOR_SJRP_27_01_2023_GOLIVE
select 

     dbo.fnc_depara( CAST(f.numemp AS VARCHAR)+'_'+CAST(f.tipcol AS VARCHAR) + '_'+CAST(f.numcad AS VARCHAR), 'MATRICULA', 'HMC-IMC-SJRP') AS '01 Matrcula (Colaborador)', 
   CASE WHEN f.numemp = 1 THEN 304
		 WHEN f.numemp = 2 THEN 303
		 ELSE '' 
	END AS '02_CodEmpresa', 	
   replace(convert(date, f.datafa, 103), '-', '/') as '03_DtaOcorrencia',
   ''     as '04_DtaPublicacao',
   ''     as '05_SituacaoPublicacao' ,
   replace(convert(date, f.datafa, 103), '-', '/') as '06_DtaPagamento',
   40     as '07_TipoRescisao(RAIS)',
   11     as '08_MotivoDesligamento',
   ''     as '09_MotivoDesligamento',
   ''     as '10_CodMotivoDesligamento',
   00     as '11_CodSaque',
   ''     as '12_',
   ''     as '13_',
   '' as '14 - Processo trabalhista  ',
   '' as '15 - Processo judicial com suspenso ...[04]',
   '' as '16 - Atestado de bito',
   27     as '17_NovaSituacao',
   05     as '18_FolhaPagto',
   'N' as '19 - Homologao',
   'S' as '20 - Quitao',
   '' as '21 - Data da Homologao',
   '' as '22 - Informaes  Caixa',
   'N' as '23 - Colaborador comprovou ter novo e...[05]',
   'N' as '24 - Efetivar a resciso e manter pro...[06]',
   'N' as '25 - Em caso de excluso manter ocorr...[07]',
   'N' as '26 - Transferncia por motivo de suce...[08]',
   'N' as '27 - Preencher automaticamente os dad...[09]',
   47032300000116 as '28 - CNPJ',
   'TRANSF HISTORICA ENTRE ESTABELECIMENTOS' as '29 - Razo Social',
   'S' as '30 - Efetivar resciso mesmo quando a...[10]',
   'N' as '31 - Efetivar a resciso somente se o...[11]',
   'N' as '32 - Impedir alterao do gestor da u...[12]',
   'N' as '33 - Lanar saldo devedor de emprstimos - ',
   'N' as '34 - Efetivar a resciso somente quan...[13]',
   'N' as '35 - Excluso de valores calculados p...[14]',
   '0' as '36 - Tipo de resciso',
   'N' as '37 - Quarentena Trabalhista ',
   '' as '38 - Data fim da quarentena / ltimo ...[15]',
   'N' as '39 - Aviso prvio indenizado',
   '' as '40 - Cumprimento do aviso prvio - ',
   'N' as '41 - Crdito Consignado com Garantia de FGTS',
   'S' as '42 - Mesmo que o colaborador possua o...[16]',
   'S' as '43 - Mesmo quando a data da projeo ...[17]',
   'S' as '44 - O colaborador esteja em perodo ...[18]',
   'N' as '45 - E estornar ocorrncias programad...[19]',
   'N' as '46 - Efetivar o estorno da resciso m...[20]',
   'S' as '47 - E estornar ocorrncias programad...[21]',
   'N' as '48 - E estornar ocorrncias programad...[22]'
from 
   R034FUN f
   inner join R030FIL estab on 
      estab.numemp = f.numemp and
      estab.codfil = f.codfil
   INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS MIG ON 
		F.numemp=MIG.NUMEMP AND 
		F.TIPCOL=MIG.TIPCOL AND 
		F.numCAD=MIG.NUMCAD
where 
    F.numemp IN (1,2) AND
   -- numcad  in (410001766, 410000976, 140000103 )   and   
   -- tipadm = 4 and 
   f.datafa >= '01/01/2017' and
   F.TIPCOL = 1 and
   F.sitafa = 7 --and
   --not exists (   select 1 from rh_islp.R042RCM res where res.numemp = f.numemp and res.numcad = f.numcad)
   --f.NUMCAD IN (3793)

	