/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** ANALISE GERAL                                                                                                  **/
/**** SCRITPS UTILIZADOS PARA ANALISE DAS TABELAS DO PROTHEUS                                                        **/
/****                                                                                                                **/
/**********************************************************************************************************************/

----------------------------------------------------------------------
-- LISTAR TABELAS NO ORACLE
-----------------------------------------------------------------------
SELECT * FROM ALL_ALL_TABLES WHERE TABLE_NAME LIKE 'SRA%';

----------------------------------------------------------------------
-- CAMPO FILIAL DA TABELA DE COLABORADORES SEPARANDO EMPRESA/FILIAL
-----------------------------------------------------------------------
SELECT  SUBSTR(RA_FILIAL,1,2) "TIPO", SUBSTR(RA_FILIAL,3,2) "unidadenNegcio",  SUBSTR(RA_FILIAL,5,2) "FILIAL", SRA010.*
FROM SIGAP12.SRA010
WHERE SRA010.D_E_L_E_T_ <> '*' --AND RA_FILIAL LIKE '06%'
ORDER BY RA_FILIAL;

----------------------------------------------------------------------
-- PESQUISA DE FUNCIONARIO PELA MATRICULA NA EMPRESA 15
-----------------------------------------------------------------------
SELECT * FROM SIGAP12.SRA010 WHERE RA_FILIAL LIKE '06'%; --GRUPO 15

--E NA BASE ANTIGA PELO CPF
SELECT * FROM SIGAADV.SRA150 WHERE RA_CIC = '63831929220' --'000061'; --GRUPO 15

----------------------------------------------------------------------
-- PESQUISA EMPRESA ATRAVES DE TABELA INTERNA CRIADA
-----------------------------------------------------------------------
--SUBSTR(M0_CODFIL,1,2) "TIPO", SUBSTR(M0_CODFIL,3,2) "unidadenNegcio",  SUBSTR(M0_CODFIL,5,2) "FILIAL",
SELECT  M0_CODIGO, M0_CODFIL, M0_FILIAL, M0_NOME, M0_NOMECOM, M0_CGC
FROM SIGAP12.T_SM0 
ORDER BY M0_CODIGO, M0_CODFIL; -- BASE ATUAL TABELA EMPRESA 

SELECT * FROM SIGAP12.SRA010 WHERE RA_FILIAL = '010101' 

SELECT * FROM SIGAADV.TSM0 -- BASE ANTIGA EMPRESAS



