<?php
namespace HCM\FPA\Services;
use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\DateUtil;


use HCM\FPA\Repository\MonitCalcRepository;

class MonitCalcService{
        
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters,\HCM\FPA\Repository\MonitCalcRepository $MonitCalcRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->monitCalcRepository = $MonitCalcRepository;
    }
    
    public function getMonitCalc($filters){
        
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
            "P_NRORG_PADRAO" => $this->hcmParameters->getNrorgPadrao()
        );
        
        return $this->monitCalcRepository->getMonitCalc($filters, $params);
        
    }
    
    public function getMensagensMonit($filters){
        
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho()
        );
        
        return $this->monitCalcRepository->getMensagensMonit($filters, $params);
        
    }
    
}