<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\DateUtil;
use HCM\SST\Repository\AgenteCausadorRepository;

class AgenteCausadorService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, AgenteCausadorRepository $agenteCausadorRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->agenteCausadorRepository = $agenteCausadorRepository;
    }
    
    public function validaRestricaoChavePrimaria($nragentcausad, $nrorg, $nrorgPadrao, $chaveSiMesma = null){
        return $this->agenteCausadorRepository->validaRestricaoChavePrimaria($nragentcausad, $nrorg, $nrorgPadrao, $chaveSiMesma);
    }
}