-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     13/03/2024  10:00                        
--   Issue:          470233 - [HCM] -  FICHA MEDICA (Incluir envio da planilha em excel – envio em

-- ============================================================
-- Table: SST_CDPROCEDEXAME
-- ============================================================

CREATE TABLE SST_CDPROCEDEXAME
(
    NRORG                 NUMBER          NOT NULL,
    NRPROCEDEXAME         NUMBER          NOT NULL,
    CDESOCIAL             VARCHAR2(4)     NOT NULL,
    DSPROCEDEXAME         VARCHAR2(200)   NOT NULL,   
    IDATIVO               VARCHAR2(1)     DEFAULT 'S' NOT NULL
    CONSTRAINT CKC_IDATIVO_CDPROCEDEXAME CHECK (IDATIVO IN ('N','S')),
    DTINCLUSAO            DATE            DEFAULT SYSDATE NOT NULL,
    DTULTATU              DATE            NULL,
    NRORGINCLUSAO         NUMBER(22)      DEFAULT 1 NULL,
    CDOPERINCLUSAO        VARCHAR2(12)    DEFAULT '1' NULL,
    NRORGULTATU           NUMBER(22)      DEFAULT 1 NULL,
    CDOPERULTATU          VARCHAR2(12)    DEFAULT '1' NULL,
    CONSTRAINT PK_SST_NRPROCEDEXAME PRIMARY KEY (NRPROCEDEXAME)
);