/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS DEPENDENTES                                                                                    **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                               **/
/**** ESSE SCRIPT GERA LAYOUT (TB_AUX_PENSIONISTA)                                                                   **/
/**********************************************************************************************************************/

--------------------------------------------------------
-- CRIAO LAYOUT DE PENSIONISTA - FORMA DE PAGTO
--------------------------------------------------------

SELECT 

'110.5' AS "0001 Codigo leiaute",
'' AS "0002 Pessoa colaborador",
FN_RETORNA_EMPRESA(PENSIONI.RQ_FILIAL, PENSIONI.CODEMP) AS "03_Empresa do contrato",
LGM.MATRICULA_LG  AS "04_Matrcula do colaborador",
ROW_NUMBER() OVER(PARTITION BY PENSIONI.CodEmp, PENSIONI.RA_MAT ORDER BY PENSIONI.RQ_NOME) AS "05 Sequencial representa",
100.00 AS "0006 Percentual Pensionista",
CASE 
WHEN TRIM(PENSIONI.RQ_BCDEPBE)= '' OR TRIM(PENSIONI.RQ_CTDEPBE) = '' THEN '13'
ELSE '1' END AS "07_FORMA DE PAGAMENTO",
CASE 
WHEN TRIM(PENSIONI.RQ_BCDEPBE)= '' OR TRIM(PENSIONI.RQ_CTDEPBE) = '' THEN ''
ELSE SUBSTR(TRIM(PENSIONI.RQ_BCDEPBE),1,3) END AS "08_BANCO",

CASE 
    WHEN TRIM(PENSIONI.RQ_BCDEPBE)IS NULL OR TRIM(PENSIONI.RQ_CTDEPBE) IS NULL THEN '  '
    ELSE SUBSTR(TRIM(PENSIONI.RQ_BCDEPBE),4,10)
END  AGENCIA,

CASE 
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 0 THEN TRIM(PENSIONI.RQ_CTDEPBE)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 11 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,10)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 9 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,8)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 8 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,7)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 7 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,6)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 6 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,5)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 5 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,4)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 4 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),1,3)
ELSE ' '
END CONTA,

CASE 
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 0 THEN '0'
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 11 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),12,1)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 9 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),10,1)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 8 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),9,1)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 7 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),8,1)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 6 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),7,1)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 5 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),6,1)
    WHEN INSTR(TRIM(PENSIONI.RQ_CTDEPBE),'-') = 4 THEN SUBSTR(TRIM(PENSIONI.RQ_CTDEPBE),5,1)
    ELSE ' '
END DIGITO,

CASE 
WHEN TRIM(PENSIONI.RQ_BCDEPBE)= '' OR TRIM(PENSIONI.RQ_CTDEPBE) = '' THEN ''
ELSE '1' END AS "12_TIPO_CONTA"

FROM 
TB_AUX_PENSIONISTA PENSIONI
LEFT JOIN TB_AUX_FUNCIONARIOS FUNC ON (FUNC.CODEMP = PENSIONI.CodEmp AND FUNC.RA_MAT = PENSIONI.RA_MAT AND FUNC.RA_FILIAL = PENSIONI.RQ_FILIAL)
--INNER JOIN TB_AUX_FUNCIONARIOS_MIGRADOS on FUNC.CODEMP = TB_AUX_FUNCIONARIOS_MIGRADOS.CODEMP 
--AND FUNC.RA_MAT = TB_AUX_FUNCIONARIOS_MIGRADOS.RA_MAT

LEFT JOIN LG_DEPARA_MATRICULA LGM
	ON LGM.FILIAL_PROTHEUS = FUNC.RA_FILIAL AND LGM.MATRICULA_PROTHEUS = FUNC.RA_MAT 
    AND LGM.EMPESA_PROTHEUS = FUNC.CODEMP
    
WHERE RQ_NOME <> ' '

ORDER BY
3,4