/**********************************************************************************************************************/
/**** PROJETO GRUPO CICOPAL 2022                                                                                     **/
/**** IMPLANTAO DOS FUNCIONARIOS                                                                                  **/
/**** SCRITP DE PREPARAO DA MIGRAO                                                                               **/
/**** ESSE SCRIPT GERA LAYOUT DA TABELA AUXILIAR (TB_AUX_HISTORIAFASTAMENTO)                                                      **/
-- SELECT * FROM TB_AUX_FERIAS;
/**********************************************************************************************************************/

--------------------------------------------------------
-- GERAO DO LAYOUT DE TB_AUX_FERIAS
--------------------------------------------------------
CREATE TABLE TB_AUX_FERIAS AS (

SELECT 
	'01' AS CodEmp,		/* Cdigo Empresa */
	ferias.RH_FILIAL,	/* Cdigo Filial */
	ferias.RH_MAT,		/* Matrcula */
	ferias.RH_DATAINI,	/* Inicio das Ferias */
	ferias.RH_DATABAS,	/* Data Base Ferias Inicial */
	ferias.RH_DATAFIM,	/* Fim das Ferias */
	ferias.RH_DFERIAS,	/* Dias de Frias */
	ferias.RH_PERC13S,	/* Percentual 13 Salario */
	ferias.RH_DABONPE,	/* Dias de Abono Pecuniario */
	ferias.RH_DFALTAS,	/* Dias de Faltas no Periodo */
	ferias.RH_DTRECIB,	/* Data de Recibo das Ferias */
	ferias.RH_TIPCAL,	/* Calculo Coletiva / Normal */
	ferias.RH_DIALREM	/* Dias de Lic. Remunerada */
--SELECT *
FROM	
	SIGAP12.SRH010 ferias
WHERE
	ferias.D_E_L_E_T_ <> '*'

UNION ALL

SELECT 
	'06' AS CodEmp,
	ferias.RH_FILIAL,
	ferias.RH_MAT, 
	ferias.RH_DATAINI,
	ferias.RH_DATABAS,
	ferias.RH_DATAFIM,
	ferias.RH_DFERIAS,
	ferias.RH_PERC13S,
	ferias.RH_DABONPE,
	ferias.RH_DFALTAS,
	ferias.RH_DTRECIB,
	ferias.RH_TIPCAL,
	ferias.RH_DIALREM
--SELECT *
FROM
	SIGAP12.SRH060 ferias
WHERE
	ferias.D_E_L_E_T_ <> '*'
);
