/*------------------------------------------------------------------------------------------------------------------------------+
|
+------------------------------------------------------------------------------------------------------------------------------*/

select distinct histcar.codmot, mot.nommot
from R038HFI histcar
	LEFT JOIN r076mot mot ON
		mot.codmot = histCar.codmot
order by 1

/*------------------------------------------------------------------------------------------------------------------------------+
|
+------------------------------------------------------------------------------------------------------------------------------*/


select 
'010.3' as leiaute,
'' as PessoaID, 
   his.numemp AS "Codigo da empresa",
   dbo.fnc_depara(HIS.NUMCAD, 'MATRICULA', 'ISL') as "Matricula",
   118 as campo,
   his.codfil as "Codigo Estab Destino"
from 
   R038HFI his
   INNER JOIN R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
where 
   his.datalt = fun.datadm 
   and FUN.TIPCOL = 1 and
   (fun.sitafa <> 7 or
   (fun.sitafa = 7 and fun.datafa >= '01/01/2016')) --Demitido
order by 
   his.numemp, his.numcad, his.datalt

/*-------------------------------------------------------------------------------------+
| Gera Movimentaes
+-------------------------------------------------------------------------------------*/
USE ORIGEM_GHC_SENIOR_SJRP_02_09_2022
select 
   'Ento' as "Ento",
   row_number() over (order by his.numemp, his.tipcol, his.numcad) as ID,
   'NO' as Ignorar,
   convert(varchar, his.datalt, 103) as "Data Movimentao",
   his.numemp AS "Codigo da empresa",
   dbo.fnc_depara(HIS.NUMCAD, 'MATRICULA', 'ISL') as "Matricula",
   dbo.fnc_depara(his.codmot , 'ALTESTAB','ISL') as "Codigo do Motivo da Movimentao",
   'Transf. Estabelecimento' as "Descricao",
   his.codfil as "Codigo Estab Destino"
from 
   R038HFI his
   INNER JOIN R034FUN FUN ON 
      his.NUMEMP = FUN.NUMEMP AND
	  his.TIPCOL = FUN.TIPCOL AND
	  his.NUMCAD = FUN.NUMCAD
where 
  his.datalt > fun.datadm 
  and FUN.TIPCOL = 1 and
  (fun.sitafa <> 7 or
  (fun.sitafa = 7 and fun.datafa >= '01/01/2017')) --Demitido
  and fun.numemp in (1,2)
  --AND dbo.fnc_depara( his.NUMCAD, 'MATRICULA', 'ISL') NOT LIKE ('%DePara No Encontrado') 
  --AND dbo.fnc_depara( rcm.NUMCAD, 'MATRICULA', 'ISL') > 6183
  --AND NOT EXISTS (select 1 from ORIGEM_SIRIO_09_12_2021.R038HFI x where x.numemp = his.numemp and x.numcad= his.numcad and x.datalt = his.datalt)
  --AND his.numcad IN (3763,3765,3775,3776,3777,3778,3779,3780,3781,3790,3791,3793,3795,3800,3822,34005249,34005252,41000630,41000632,3815)
order by 
   his.numemp, his.numcad, his.datalt
   